#ifndef _WRAPPERRINGSEARCH_H
#define _WRAPPERRINGSEARCH_H

#include <lal/LALDatatypes.h>
#include <lal/RealFFT.h>
#include <lal/Ring.h>
#include <lal/RingSearch.h>
#include <LALWrapperInterface.h>

#ifdef __cplusplus
extern "C" {
#pragma }
#endif

#define PKG "Ring: "

NRCSID( WRAPPERRINGSEARCHH, PKG "$Id: WrapperRingSearch.h,v 1.1 2002/02/07 22:20:44 jolien Exp $" );

#define WRAPPERRINGSEARCHH_ENULL 00001
#define WRAPPERRINGSEARCHH_ENNUL 00002
#define WRAPPERRINGSEARCHH_EALOC 00004
#define WRAPPERRINGSEARCHH_ENAME 00010
#define WRAPPERRINGSEARCHH_ECHAN 00020
#define WRAPPERRINGSEARCHH_ERESP 00040
#define WRAPPERRINGSEARCHH_EEXCH 00100

#define WRAPPERRINGSEARCHH_MSGENULL "Null pointer"
#define WRAPPERRINGSEARCHH_MSGENNUL "Non-null pointer"
#define WRAPPERRINGSEARCHH_MSGEALOC "Memory allocation error"
#define WRAPPERRINGSEARCHH_MSGENAME "Unrecognized input sequence name"
#define WRAPPERRINGSEARCHH_MSGECHAN "Missing channel data"
#define WRAPPERRINGSEARCHH_MSGERESP "Missing response data"
#define WRAPPERRINGSEARCHH_MSGEEXCH "Invalid exchange type"

#ifdef __cplusplus
#pragma {
}
#endif 

#endif /* _WRAPPERRINGSEARCH_H */
